%define upstream_name    MP3-Find
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    File::Find-based backend to MP3::Find
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MP3/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(MP3::Info)
BuildRequires: perl(Scalar::Util)
BuildArch: noarch

%description
This module allows you to search for MP3 files by their ID3 tags. You can
ask for the results to be sorted by one or more of those tags, and return
either the list of filenames (the deault), a 'printf'-style formatted
string for each file using its ID3 tags, or the actual Perl data structure
representing the results.

There are currently two backends to this module: the MP3::Find::Filesystem
manpage and the MP3::Find::DB manpage. You choose which one you want by
passing its name as the argument to you 'use' statement; *MP3::Find* will
look for a *MP3::Find::$BACKEND* module. If no backend name is given, it
will default to using the MP3::Find::Filesystem manpage.

*Note:* I'm still working out some kinks in the DB backend, so it is
currently not as stable as the Filesystem backend.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/mp3db
/usr/bin/mp3find
/usr/share/man/man1/mp3db.1.xz
/usr/share/man/man1/mp3find.1.xz



%changelog

* Sat Nov 05 2011 kharec <kharec> 0.70.0-1.mga2
+ Revision: 163487
- imported package perl-MP3-Find


* Sat Nov 05 2011 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
